/* <lsdfdef.h>
 *
 *	OBJFMT -- module-local symbol definition
 */
#ifndef _LSDFDEF_H
#define _LSDFDEF_H

#define LSDF$K_NAME	13
#define LSDF$C_NAME	13
struct lsdfdef {
    union {
	unsigned char lsdf$b_gsdtyp;	/* maps over LSY$B_GSDTYP */
	struct {
	    char lsdf$t_start[1];
	    unsigned	: 8;		/* char fill; */
	} lsdf$r_gsdtyp_fields;
    } lsdf$r_gsdtyp_overlay;
    unsigned char lsdf$b_datyp;		/* maps over LSY$B_DATYP */
    unsigned short lsdf$w_flags;	/* maps over LSY$W_FLAGS */
    unsigned short lsdf$w_envindx;	/* environment index symbol defined in */
    unsigned short lsdf$w_psindx;	/* owning psect number */
    unsigned long lsdf$l_value;		/* value of symbol */
    unsigned char lsdf$b_namlng;	/* length of name */
    char lsdf$t_name[31];		/* symbol name */
};

#endif	/*_LSDFDEF_H*/
