/* <sor$routines.h>
 *
 *	Callable sort utility routines.
 */
#ifndef _SOR$ROUTINES_H
#define _SOR$ROUTINES_H
# ifdef __cplusplus
extern "C" {
# endif

/*	SOR$BEGIN_MERGE -- initialize a merge operation */
unsigned long sor$begin_merge();
/*	SOR$BEGIN_SORT	-- begin a sort operation */
unsigned long sor$begin_sort();
/*	SOR$DO_MERGE	-- obsolete (from VMS V3) */
unsigned long sor$do_merge();
/*	SOR$END_SORT	-- end a sort operation */
unsigned long sor$end_sort();
/*	SOR$INIT_MERGE	-- obsolete (from VMS V3) */
unsigned long sor$init_merge();
/*	SOR$INIT_SORT	-- obsolete (from VMS V3) */
unsigned long sor$init_sort();
/*	SOR$PASS_FILES	-- pass file names */
unsigned long sor$pass_files();
/*	SOR$RELEASE_REC -- pass one record to sort */
unsigned long sor$release_rec();
/*	SOR$RETURN_REC	-- return one sorted record */
unsigned long sor$return_rec();
/*	SOR$SORT_MERGE	-- perform sort */
unsigned long sor$sort_merge();
/*	SOR$SPEC_FILE	-- pass a specification file name */
unsigned long sor$spec_file();
/*	SOR$STAT	-- obtain sorting statistics */
unsigned long sor$stat();

# ifdef __cplusplus
}
# endif
#endif	/*_SOR$ROUTINES_H*/
