/* <tt3def.h>
 *
 *	Tertiary terminal characteristics definitions
 */
#ifndef _TT3DEF_H
#define _TT3DEF_H

#define TT3$V_POSIX	0
#define TT3$V_COMMSYNC	1	/* obsolete -- moved to $TT2DEF */
#define TT3$M_POSIX	(1<<TT3$V_POSIX)	/* 0x01 */
#define TT3$M_COMMSYNC	(1<<TT3$V_COMMSYNC)	/* 0x02 */
#define TT3$V_TT_SPARE	1
#define TT3$M_TT_SPARE	0xFFFE
#define TT3$S_TT_SPARE	15
#define TT3$V_AS_RESERVED 16
#define TT3$M_AS_RESERVED 0xFFFF0000
#define TT3$S_AS_RESERVED 16
union tt3def {
    struct {
	unsigned tt3$v_posix	: 1;	/* TT input with Posix rules MUST be low bit */
	unsigned tt3$v_tt_spare : 15;	/* space for additional TT characteristics */
	unsigned tt3$v_as_reserved: 16; /* note that the ASIAN character set data uses bits 16-31 */
    } tt3$r_tt3def_bits;
};

#endif	/*_TT3DEF_H*/
