/* <syslib/exc_handling_vms.h>
 *
 *      VMS-specific exception handling for threads (V5.5).
 */
#ifndef _EXC_HANDLING_VMS_H
#define _EXC_HANDLING_VMS_H
# ifdef __cpluscplus
extern "C" {
# endif
/*
 *      This header is #included by <pthread.h> and <pthread_exc.h>;
 *      <exc_handling.h> is a required prerequisite, which they both
 *      take care of by #including <cma.h>, which #includes it...
 */


#ifdef __GNUC__
/*
   Return the address stored at the frame pointer's current value.
   if non-zero, it points at a condition handling routine.
 */
__inline__ extern exc_t_address __exc_fetch_fp(void)
{ exc_t_address _Fp; __asm__("movl (fp),%0" : "=g" (_Fp) : ); return _Fp; }
#define exc_fetch_fp() __exc_fetch_fp()
#endif

# ifdef __cpluscplus
}
# endif
#endif  /*_EXC_HANDLING_VMS_H*/
