/* <promdef.h>
 *
 *	OBJFMT -- GSD entry - procedure definition, version mask symbols
 */
#ifndef _PROMDEF_H
#define _PROMDEF_H

#define PROM$K_NAME	16
#define PROM$C_NAME	16
struct promdef {
    union {
	unsigned char prom$b_gsdtyp;	/* maps over GSY$B_GSDTYP */
	struct {
	    char prom$t_start[1];
	    unsigned	: 8;		/* char fill; */
	} prom$r_gsdtyp_fields;
    } prom$r_gsdtyp_overlay;
    unsigned char prom$b_datyp;		/* maps over GSY$B_DATYP */
    unsigned short prom$w_flags;	/* maps over GSY$W_FLAGS */
    unsigned char prom$b_psindx;	/* maps over SDF$B_PSINDX */
    unsigned long prom$l_addrs;		/* entry point address, maps over SDF$L_VALUE */
    unsigned long prom$l_version_mask;	/* mask value for symbol */
    unsigned short prom$w_mask;		/* entry point mask */
    unsigned char prom$b_namlng;	/* length of name */
    char prom$t_name[31];		/* symbol name */
};

#endif	/*_PROMDEF_H*/
