/* <sdfvdef.h>
 *
 *	OBJFMT -- symbol definition for vectored symbols
 */
#ifndef _SDFVDEF_H
#define _SDFVDEF_H

#define SDFV$K_NAME	14
#define SDFV$C_NAME	14
struct sdfvdef {
    union {
	unsigned char sdfv$b_gsdtyp;	/* maps over GSY$B_GSDTYP */
	struct {
	    char sdfv$t_start[1];
	    unsigned	: 8;		/* char fill; */
	} sdfv$r_gsdtyp_fields;
    } sdfv$r_gsdtyp_overlay;
    unsigned char sdfv$b_datyp;		/* maps over GSY$B_DATYP */
    unsigned short sdfv$w_flags;	/* maps over GSY$W_FLAGS */
    unsigned char sdfv$b_psindx;	/* owning psect number */
    unsigned long sdfv$l_value;		/* value of symbol */
    unsigned long sdfv$l_vector;	/* vectored value of symbol */
    unsigned char sdfv$b_namlng;	/* length of name */
    char sdfv$t_name[31];		/* symbol name */
};

#endif	/*_SDFVDEF_H*/
