/* <snapevtdef.h>
 *
 *	Snapshot event definitions
 */
#ifndef _SNAPEVTDEF_H
#define _SNAPEVTDEF_H

#define SNAPEVT$_SNAPSHOT    1	/* a system snapshot is pending in a non-VAXcluster environment */
#define SNAPEVT$_CLUPEND     2	/* a system snapshot is pending in a VAXcluster environment */
#define SNAPEVT$_RESTART     3	/* the system has just booted from a snapshot into a non-VAXcluster environment */
#define SNAPEVT$_CLU_RESTART 4	/* the system has just booted from a snapshot into a VAXcluster environment */
#define SNAPEVT$_ABORT	     5	/* a fatal error occurred during the taking of a snapshot */
#define SNAPEVT$_CLUEXIT     6	/* the system is resynchronizing after a loss of communications with the remainder of the cluster */
#define SNAPEVT$_ROLLOUT     7	/* a system rollout is pending */
#define SNAPEVT$_ROLLIN      8	/* a system rollin has been completed */

#endif	/*_SNAPEVTDEF_H*/
