/* <xadef.h>
 *
 *	DR11-W definitions for device specific characteristics
 */
#ifndef _XADEF_H
#define _XADEF_H

#define XA$V_DATAPATH	0
#define XA$V_LINK	1
#define XA$M_DATAPATH	(1<<XA$V_DATAPATH)	/* 0x01 */
#define XA$M_LINK	(1<<XA$V_LINK)		/* 0x02 */
union xadef {
    struct {
	unsigned xa$v_datapath : 1;	/* use buffered datapath */
	unsigned xa$v_link     : 1;	/* interprocessor link mode */
	unsigned	       : 6;
    } xa$r_xadef_bits;
};

#endif	/*_XADEF_H*/
